	program normtest


C	The inputs must be written in a file named test.dat
C	This program normalises the inputs and writes them in normtest
C	Be carefull: a folder named outprdt must be created before running the
C	Neural Network

	implicit real*8 (a-h,k-z), integer(i,j)
	double precision a(2100,20)
	open(unit=7,file='test.dat')
	open(unit=9,file='norm_test.in')
	open(unit=5,file='MINMAX')
	open(unit=11,file='no_of_rows.dat')
       open(unit=44,file='s/committee.dat')  

C
C THIS FILE READS NO oF DATA from input file "no_of_rows"
C
	read(11,*)irow
	write(*,*)'No. Of Data : ',irow

 	read(44,*)imodel,icol
C
	do 1 i=1, irow,1
      	read(7,*)(a(i,j),j=1,icol)
C	write(*,*)i, j, a(i,icol)
1	continue
C
	read(5,*)
	do 2 j=1,icol
	read(5,*) i,min,max 
C	write(*,*) i, min, max
	call Normcol (min, max, a, j, irow)
2	continue
C
	do 7 i=1, irow
		write (9,103)(a(i,ii), ii=1,icol)
7	continue

103	format(55f15.7)

	end

	subroutine Normcol(min,max, arr, j, ir)
	implicit real*8 (a-h,k-z), integer(i,j)
	double precision arr(2100,40), min, max
	do 6 i=1, ir, 1
			if ( min .ne. max ) then
				arr(i,j)=((arr(i,j)-min)/(max-min))-0.5
			else
				arr(i,j)=0
			endif
6		continue 
	end
